Package org.kie.api.fluent

## Interface WorkItemNodeBuilder<T extends NodeContainerBuilder<T,​?>>

- All Superinterfaces:
    `NodeBuilder<WorkItemNodeBuilder<T>,​T>`

      public interface WorkItemNodeBuilder<T extends NodeContainerBuilder<T,​?>>
      extends NodeBuilder<WorkItemNodeBuilder<T>,​T>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `WorkItemNodeBuilder<T>` | `inMapping​(java.lang.String parameterName, java.lang.String variableName)` |
    `T` | `onEntryAction​(Dialect dialect, java.lang.String action)` |
    `T` | `onExitAction​(Dialect dialect, java.lang.String action)` |
    `WorkItemNodeBuilder<T>` | `outMapping​(java.lang.String parameterName, java.lang.String variableName)` |
    `T` | `timer​(java.lang.String delay, java.lang.String period, Dialect dialect, java.lang.String action)` |
    `WorkItemNodeBuilder<T>` | `waitForCompletion​(boolean waitForCompletion)` |
    `WorkItemNodeBuilder<T>` | `workName​(java.lang.String name)` |
    `WorkItemNodeBuilder<T>` | `workParameter​(java.lang.String name, java.lang.Object value)` |
    `WorkItemNodeBuilder<T>` | `workParameterDefinition​(java.lang.String name, java.lang.Class<?> type)` |

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, name, setMetadata`

- - ### Method Detail

    - #### waitForCompletion

          WorkItemNodeBuilder<T> waitForCompletion​(boolean waitForCompletion)

    - #### inMapping

          WorkItemNodeBuilder<T> inMapping​(java.lang.String parameterName,
                                           java.lang.String variableName)

    - #### outMapping

          WorkItemNodeBuilder<T> outMapping​(java.lang.String parameterName,
                                            java.lang.String variableName)

    - #### workName

          WorkItemNodeBuilder<T> workName​(java.lang.String name)

    - #### workParameter

          WorkItemNodeBuilder<T> workParameter​(java.lang.String name,
                                               java.lang.Object value)

    - #### workParameterDefinition

          WorkItemNodeBuilder<T> workParameterDefinition​(java.lang.String name,
                                                         java.lang.Class<?> type)

    - #### onEntryAction

          T onEntryAction​(Dialect dialect,
                          java.lang.String action)

    - #### onExitAction

          T onExitAction​(Dialect dialect,
                         java.lang.String action)

    - #### timer

          T timer​(java.lang.String delay,
                  java.lang.String period,
                  Dialect dialect,
                  java.lang.String action)